+ Responder ao Tópico



  1. #1

    Exclamation RocketM5 não aceita versões antigas de Firmware

    Bom dia nobres colegas!

    Venho notando que novos equipamentos Ubiquiti (neste caso o RocketM5) não estão aceitando Downgrade de versão de Firmware . A versão mais antiga que é possivel instalar é a 5.5.

    Quando tento instalar o firmware anterior ao 5.5 via web recebo a msg “Firmware image check failed. Error code: -6”
    Tentei, inclusive, saltar entre versões, para assim tentar o Downgrade. Instalei as versões 5.5, 5.5.2,5.5.3 e 5.5.4, mas nenhuma delas aceita o procedimento de regressão.

    Em modo flash (ex: CMD tftp-i 192.168.1.20 put 5.2.1.bin) consigo fazer o upload da imagem, mas o equipamento não volta a responder, sendo necessário repetir o procedimento, mas upando a imagem 5.x para conseguir acesso ao rádio.

    Contudo, o grande problema se dá quando tentamos associar novos equipamentos (que não aceitam versões anteriores a 5.5) com rádios mais antigos (que aceitam qualquer versão).

    Os equipamentos chegam a associar, com sinal muito baixo e sem trafegar informações ou apenas um pouco de RX. Apesar de diversas pesquisas, não conseguimos identificar nada que possa estar causando o relatado.

    O que parece é que os novos equipamentos estão configurados com um sistema de proteção, que força o usuário utilizar apenas versões mais atuais. Até concordo, mas o problema de não associar com rádios antigos “quebra nossas pernas.”

    Enfim, fica o relato do problema, se alguém tiver alguma informação que possa acrescentar agradeço muito.

    Abraços!
    Última edição por Ronaldo Silva; 19-04-2013 às 09:35.

  2. #2

    Padrão Re: RocketM5 não aceita versões antigas de Firmware

    Bom dia Ronaldo

    Realmente, tenho este mesmo problema por aqui.

    Realizamos testes aqui, e conseguimos detectar o seguinte:


    CENARIO BACKHAUL:

    Rocket DISH

    Rocket M5 <-> Rocket M5 = só funciona quando as duas pontas possuem a mesma versão. (tenho utilizado 5.2.1 nos mais antigos e 5.5.4 nos mais novos.)


    CENARIO POP/BASE:

    Rocket Setorial

    Rocket M5 <-> clientes NANO M5 = funciona tranquilamente, qualquer combinação de firmwares;

    Rocket M5 <-> clientes NANO LOCO M5 = funciona tranquilamente, qualquer combinação de firmwares;

    Rocket M5 <-> clientes AIRGRID M5 = funcionam apenas em MODO ROUTER, alguns com qualquer combinação de firmwares e outros apenas quando ambos os lados são 5.5.4


    Eu acho muita sacanagem isso , baseando-se que vários provedores já possuem uma grande carteira de clientes, com isso a Ubiquiti, forçara a atualização em todos os equipamentos da nossa planta. Isso irá gerar paradas, e possíveis incompatibilidades entre firmwares ou equipamentos que estejam operando em outras versões.


    Estou pensando seriamente em migrar os PAINEIS SETORIAIS para 5.5.4, pois percebi que ela gerencia melhor o AIRMAX e o TX/RX rate , e que até o momento ela não causou nenhuma incompatibilidade com as outras versões.

    Já no caso de BACHHAUL, vou manter 5.2.1 até ter problemas ou danos. Quando precisar trocar uma das pontas, realizaremos a atualização para 5.5.4 , pois 5.2.1, nenhum equipamento do estoque está aceitando.



    Espero ter ajudado.

    E o tópico continua, espero que tenha mais gente para opinar sobre este problema.



  3. #3

    Padrão Re: RocketM5 não aceita versões antigas de Firmware

    Bom dia felipedesf, obrigado pela atenção e pelas valiosas e detalhadas informações.

    O cenário do nosso Backhaul é semelhante ao seu. Conseguimos fazer funcionar dessa forma também, mas em algumas situações não tivemos êxito, o que nos levou a substituir AMBOS os rádios por equipamentos “compatíveis”.

    Suas informações ajudaram muito, agradeço novamente.

    E o tópico continua.

  4. #4

    Padrão Re: RocketM5 não aceita versões antigas de Firmware

    Bom dia Ronaldo,
    aqui utilizamos Rocket M2 com setorial no pop e nos clientes Loco M2 e o que pude observar na dificuldade de associação dos clientes nos pops foi com os Loco M2 que iniciam com os macs 00:27:22:2E e 00:27:22:4A, independente da versão utilizada, os mais próximos com sinal -60 a -65 conectam fácil com ccq acima de 90%, airmax quality e capacity próximo de 80% quando estão sem tráfego não geram problema mas ao se iniciar o trafego o sinal perde cerca de 10db e o MCS chega a modular no 0.
    Tenho aproximadamente 100 peças com essas características já fiz contato com a ubnt informando o problema e vamos ver no que da.
    Tenho Loco M2 mais antigos na rede que iniciam com o mac 00:15:6D e mais novos tb funcionando em perfeito estado.

    Tentando minimizar o problema atualizei toda a rede para a versão 5.5.4, em seguida tentei fazer o downgrade, e nos equipamentos mais recentes o comportamento é exatamente esse que você mencionou.
    Mas enfim, depois de todos os testes pude concluir que independente das versões utilizadas o problema só foi apresentado nos equipamentos com os Macs mencionados, tenta identificar um outro padrão em seu problema.



  5. #5

    Padrão Re: RocketM5 não aceita versões antigas de Firmware

    Boa tarde Mr. inftelecom,

    Sua observação em relação ao início dos endereços MAC foi precisa.

    Os rádios que temos aqui iniciam com o mesmo endereço MAC (00:27:22) que você citou. Os que iniciam com 00:15:6D não apresentaram esses "xiliques", e aceitam tando down quanto up para qualquer versão.

    Com base nessas observações acabei de fazer um teste. A principio imaginei que não iria funcionar, mas só teria certeza quando testasse.

    Fiz um "clone MAC", gerando um MAC que iniciasse com 00:15:6D em um rádio que o endereço MAC original inicia com 00:27:22, mas como já esperava.., não funcionou, rs.

    Fica a observação, agradeço pelo apoio.

    E o tópico segue à diante!


  6. #6

    Padrão Re: RocketM5 não aceita versões antigas de Firmware

    Porque não deixar todos no 5.5.4? Usa o AirControl para atualizar.



  7. #7

    Arrow Re: RocketM5 não aceita versões antigas de Firmware

    Amigão, como dito acima, os novos rádios (00:27:22) não associam bem com rádios antigos (00:15:6D), independente da versão que utilizam.

    Para exemplificar:

    Base rádio 00:15 estação 00:15 (funciona)
    Base rádio 00:27 estação 00:15 (não funciona bem)

    Caso substituída a base 00:15 por um rádio 00:27, o link não funciona bem, nos coagindo a substituir os dois rádios por equipamentos 00:27.

    O caso em questão não é atualizar os equipamentos para a nova versão (que pelas experiencias que tivemos perdem de longe para a 5.2.1), e sim a baixa qualidade do link e a impossibilidade de regressão da versão instalada.

    Espero ter sido claro, abraços!

  8. #8

    Padrão Re: RocketM5 não aceita versões antigas de Firmware

    Ah sim, compreendi o problema, desculpe.

    Não tive esse problema aqui até agora pq 100% da rede está Rocket M5 --> NanoStation M5 ou NanoStationM5 --> NanoStationM5 ou ainda Rocket M5 --> NanoBridge M5.

    Mas vou acompanhar o tópico a fim de ficar informado sobre a solução.



  9. #9

    Padrão Re: RocketM5 não aceita versões antigas de Firmware

    Ronaldo,
    Acho que me expressei mal, vou tentar ser mais objetivo.
    todas as combinações de firmware funcionam a contento.
    Tenho problemas apenas com os Loco M2 que iniciam com os macs 00:27:22:2E e 00:27:22:4A. esses apesar de aceitarem perfeitamente o downgrade ou upgrade de versão de firmware estão prontos pra RMA ou LIXO.
    obs.: o downgrade foi testado apenas para a versão 5.3.5 nesses equipamentos e funcionaram.

  10. #10

    Padrão Re: RocketM5 não aceita versões antigas de Firmware

    Boa tarde Srs.

    Me perdoem por estar revivendo este post, mas tive algumas novidades sobre o assunto, uma maneira que venho utilizando para colocar alguns equipamentos na labuta. Segue:


    BASE -> VERSÃO - 5.5.6
    ESTAÇÃO -> VERSÃO - 5.2.1

    Ou

    BASE -> VERSÃO 5.4.5
    ESTAÇÃO -> VERSÃO 5.5.4


    Observamos que quando ocorre o fenômeno do rádio associar com sinal baixo, basta desativar o "No ACK Mode for PtP", ativar a opção "Auto Adjust" e aplicar. Logo em seguida, quando o equipamento voltar a responder, deve ser ativado o "No ACK Mode for PtP" e desativar a opção "Auto Adjust", em seguida aplicar as modificações. Feito isso, o equipamento, na maioria das vezes passa a funcionar normalmente.